class Services::ChatController < Services::BaseController
  before_action :authenticate_user!
  before_action :require_service_available

  def show
    @service_enabled = current_user.services_enabled.include?(:xmpp)
  end

  private

    def require_service_available
      http_status :not_found unless Setting.ejabberd_enabled?
    end
end
